-- Load libraries
require "sm.utils.exit"
require "sm.utils.redis"
require "sm.utils.config_fetcher"

local config = require "sm.config"
local mlcache = require "sm.utils.mlcache"

local log = ngx.log
local ERR = ngx.ERR
local OK = ngx.OK

log(OK, "[Init] Staring initialization of modules")

-- Initialize Mlcache
log(OK, "[Init] Initializing Mlcache")

local ok, err = mlcache.init(config["mlcache"])

if not ok then
    log(ERR, "[Init] Failed to initialize Mlcache: ", err)
else
    log(OK, "[Init] Mlcache successfully initialized")
end

log(OK, "[Init] Initialization finished")
